Debian Bug report logs - #672986
gnustep-gui-runtime: Multiple libobjc.so version linked due to mix of dependencies

version graph

Package: gnustep-gui-runtime; Maintainer for gnustep-gui-runtime is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>; Source for gnustep-gui-runtime is src:gnustep-gui.

Reported by: Riccardo Mottola <multix@gmail.com>

Date: Tue, 15 May 2012 09:01:27 UTC

Severity: grave

Found in version gnustep-gui/0.20.0-3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#672986; Package gnustep-gui-runtime. (Tue, 15 May 2012 09:01:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Mottola <multix@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Tue, 15 May 2012 09:01:52 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riccardo Mottola <multix@gmail.com>
To: submit@bugs.debian.org
Subject: gnustep-gui-runtime: Multiple libobjc.so version linked due to mix of dependencies
Date: Tue, 15 May 2012 10:58:15 +0200
Package: gnustep-gui-runtime
Version: 0.20.0-3
Severity: grave
Justification: renders package unusable

Dear Maintainer,

gnustep-base, gnustep-gui and gnustep-back depend on different version
of libobjc (libobjc.so.3 and libobjc.so.4 of gcc 4.6 and gcc 4.7
respectively).

Since several GNUstep applications do crash, I suppose all recently
compiled applications (self-compiled ones but also Gorm, which got
recently updated and for which a separate bug is pending).

checking with ldd, if libobjc.so.3 comes before .so.4 ("old app") the
app will work, if .so.4 comes before, the applicationwill crash.
I think it is not a good idea that gnustep-core packages
(base,gui,back) depend on different libobjc runtimes.

I have installed:
gnustep-back0.20-cairo               0.20.1-2+b1
libgnustep-base1.22                  1.22.1-2+b1
libgnustep-gui0.20                   0.20.0-3

it appears that only "gui" was updated to newer libobjc.

This makes gnustep unusable for any "new" package and for any
self-compiled apps for development.

A ldd output of a working application:
        linux-gate.so.1 =>  (0xb76fe000)
        libGNUMail.so.1 => /usr/lib/gnumail.app/libGNUMail.so.1 (0xb75b4000)
        libgnustep-gui.so.0.20 => /usr/lib/libgnustep-gui.so.0.20 (0xb7153000)
        libgnustep-base.so.1.22 => /usr/lib/libgnustep-base.so.1.22 (0xb6ce7000)
        libobjc.so.3 => /usr/lib/i386-linux-gnu/libobjc.so.3 (0xb6cc7000)
        libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xb6b6a000)
        libPantomime.so.1.2 => /usr/lib/libPantomime.so.1.2 (0xb6aca000)
        libAddresses.so.0 => /usr/lib/libAddresses.so.0 (0xb6a9b000)
        libAddressView.so.0 => /usr/lib/libAddressView.so.0 (0xb6a6e000)
        libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xb6a48000)
        libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb6a2b000)
        libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xb6a00000)
        libgif.so.4 => /usr/lib/libgif.so.4 (0xb69f7000)
        libtiff.so.4 => /usr/lib/i386-linux-gnu/libtiff.so.4 (0xb6991000)
        libjpeg.so.8 => /usr/lib/i386-linux-gnu/libjpeg.so.8 (0xb6958000)
        libobjc.so.4 => /usr/lib/i386-linux-gnu/libobjc.so.4 (0xb6940000)
        libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xb692

output of a broken application:
      linux-gate.so.1 =>  (0xb777b000)
        libgnustep-gui.so.0.20 => /usr/lib/libgnustep-gui.so.0.20 (0xb7318000)
        libgnustep-base.so.1.22 => /usr/lib/libgnustep-base.so.1.22 (0xb6eac000)
        libpthread.so.0 =>
/lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xb6e93000)
        libobjc.so.4 => /usr/lib/i386-linux-gnu/libobjc.so.4 (0xb6e7b000)
        libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xb6e55000)
        libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb6e37000)
        libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xb6cda000)
        libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xb6cb0000)
        libgif.so.4 => /usr/lib/libgif.so.4 (0xb6ca7000)
        libtiff.so.4 => /usr/lib/i386-linux-gnu/libtiff.so.4 (0xb6c41000)
        libjpeg.so.8 => /usr/lib/i386-linux-gnu/libjpeg.so.8 (0xb6c07000)
        libobjc.so.3 => /usr/lib/i386-linux-gnu/libobjc.so.3 (0xb6be7000)
        libavahi-common.so.3 =>
/usr/lib/i386-linux-gnu/libavahi-common.so.3 (0xb6bd9000)
        libavahi-client.so.3 =>
/usr/lib/i386-linux-gnu/libavahi-client.so.3 (0xb6bc6000)
        libgnutls.so.26 => /usr/lib/i386-linux-gnu/libgnutls.so.26 (0xb6afd000)


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnustep-gui-runtime depends on:
ii  gnustep-base-runtime                   1.22.1-2+b1
ii  gnustep-common [gnustep-fslayout-fhs]  2.6.2-2
ii  gnustep-gui-common                     0.20.0-3
ii  libao4                                 1.1.0-1.1+b1
ii  libaspell15                            0.60.7~20110707-1
ii  libc6                                  2.13-32
ii  libcups2                               1.5.2-11
ii  libflite1                              1.4-release-4
ii  libgcc1                                1:4.7.0-8
ii  libgnustep-base1.22                    1.22.1-2+b1
ii  libgnustep-gui0.20                     0.20.0-3
ii  libobjc4                               4.7.0-8
ii  libsndfile1                            1.0.25-4

gnustep-gui-runtime recommends no packages.

gnustep-gui-runtime suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#672986; Package gnustep-gui-runtime. (Sun, 20 May 2012 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Mottola <multix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sun, 20 May 2012 18:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 672986@bugs.debian.org (full text, mbox):

From: Riccardo Mottola <multix@gmail.com>
To: 672986@bugs.debian.org
Subject: related to bug 667868
Date: Sun, 20 May 2012 20:22:56 +0200
Refer to bug 667868. The patches backport gcc 4.7 compatibility.




Added tag(s) pending. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Tue, 22 May 2012 14:12:02 GMT) Full text and rfc822 format available.

Reply sent to Yavor Doganov <yavor@gnu.org>:
You have taken responsibility. (Thu, 24 May 2012 15:03:06 GMT) Full text and rfc822 format available.

Notification sent to Riccardo Mottola <multix@gmail.com>:
Bug acknowledged by developer. (Thu, 24 May 2012 15:03:07 GMT) Full text and rfc822 format available.

Message #17 received at 672986-close@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 672986-close@bugs.debian.org
Subject: Bug#672986: fixed in gnustep-gui 0.22.0-1
Date: Thu, 24 May 2012 15:02:13 +0000
Source: gnustep-gui
Source-Version: 0.22.0-1

We believe that the bug you reported is fixed in the latest version of
gnustep-gui, which is due to be installed in the Debian FTP archive:

gnustep-gui-common_0.22.0-1_all.deb
  to main/g/gnustep-gui/gnustep-gui-common_0.22.0-1_all.deb
gnustep-gui-doc_0.22.0-1_all.deb
  to main/g/gnustep-gui/gnustep-gui-doc_0.22.0-1_all.deb
gnustep-gui-runtime_0.22.0-1_amd64.deb
  to main/g/gnustep-gui/gnustep-gui-runtime_0.22.0-1_amd64.deb
gnustep-gui_0.22.0-1.debian.tar.gz
  to main/g/gnustep-gui/gnustep-gui_0.22.0-1.debian.tar.gz
gnustep-gui_0.22.0-1.dsc
  to main/g/gnustep-gui/gnustep-gui_0.22.0-1.dsc
gnustep-gui_0.22.0.orig.tar.gz
  to main/g/gnustep-gui/gnustep-gui_0.22.0.orig.tar.gz
libgnustep-gui-dev_0.22.0-1_amd64.deb
  to main/g/gnustep-gui/libgnustep-gui-dev_0.22.0-1_amd64.deb
libgnustep-gui0.22-dbg_0.22.0-1_amd64.deb
  to main/g/gnustep-gui/libgnustep-gui0.22-dbg_0.22.0-1_amd64.deb
libgnustep-gui0.22_0.22.0-1_amd64.deb
  to main/g/gnustep-gui/libgnustep-gui0.22_0.22.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yavor Doganov <yavor@gnu.org> (supplier of updated gnustep-gui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 May 2012 18:13:44 +0300
Source: gnustep-gui
Binary: gnustep-gui-common gnustep-gui-runtime libgnustep-gui0.22 libgnustep-gui-dev libgnustep-gui0.22-dbg gnustep-gui-doc
Architecture: source all amd64
Version: 0.22.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Changed-By: Yavor Doganov <yavor@gnu.org>
Description: 
 gnustep-gui-common - GNUstep GUI Library - common files
 gnustep-gui-doc - Documentation for the GNUstep GUI Library
 gnustep-gui-runtime - GNUstep GUI Library - runtime files
 libgnustep-gui-dev - GNUstep GUI header files and static libraries
 libgnustep-gui0.22 - GNUstep GUI Library
 libgnustep-gui0.22-dbg - GNUstep GUI Library - debugging symbols
Closes: 672986
Changes: 
 gnustep-gui (0.22.0-1) experimental; urgency=low
 .
   * New major upstream release.
   * debian/rules (v_base): Bump to 1.24 (Closes: #672986).
     Run the testsuite in the proper target.  Enable hardening and
     imagemagick.
   * debian/control.m4 (Build-Depends): Add libmagickcore-dev and
     libicu-dev.
     (libgnustep-gui`'SOV_GUI-dbg) <Recommends>: Set to
     libgnustep-base1.24-dbg.
     <Conflicts>: Add libgnustep-gui0.20-dbg.
   * debian/control: Regenerate.
   * debian/patches/fix-ftbfs-gcc46.patch: Remove; fixed upstream.
   * debian/patches/say-build.patch: Update/refresh.
   * debian/patches/series: Update.
   * debian/gnustep-gui-runtime.lintian-overrides: New file; hardening
     false positives.
   * debian/copyright: Update copyright years.
Checksums-Sha1: 
 43930f27e6d9e633c0870d670b403c9f4b4e39bf 1937 gnustep-gui_0.22.0-1.dsc
 dc9654ea3437810a9b4bfd3d2193a25628a88b41 2734733 gnustep-gui_0.22.0.orig.tar.gz
 7c0323827123775ecdbed3d38bf63831df7b4564 17273 gnustep-gui_0.22.0-1.debian.tar.gz
 6c1703f8335e7cd0acc03362b3a79c68e9c83161 869980 gnustep-gui-common_0.22.0-1_all.deb
 7f4ed345d3a114b67eccca09c7bb5bd59aaf42f1 1500696 gnustep-gui-doc_0.22.0-1_all.deb
 5f2517e9b55e47fe4073208e3c489b7f47a4a5fb 229460 gnustep-gui-runtime_0.22.0-1_amd64.deb
 df12dab4ce32ebf91cb27f31624d9adac84587d4 1821536 libgnustep-gui0.22_0.22.0-1_amd64.deb
 8ebf0248d8c984ee5c281af6dba7cca0a456dc5f 2902482 libgnustep-gui-dev_0.22.0-1_amd64.deb
 2e8db49c504e1845d6adc1604f01b9135aaac61b 4122928 libgnustep-gui0.22-dbg_0.22.0-1_amd64.deb
Checksums-Sha256: 
 dca667b55a19268b25af9e6c733b6aafc6e3fb4fd685cb5344b7af39d9d38fb1 1937 gnustep-gui_0.22.0-1.dsc
 201a02da45a3ad2285fee6a6fcc7c8a463632e27d3175d7293e2290e573fca5d 2734733 gnustep-gui_0.22.0.orig.tar.gz
 7bacdb4a830dee8801045d4022354dc3ab1fb53be14e07ba5619f7ad736f02c3 17273 gnustep-gui_0.22.0-1.debian.tar.gz
 57961e2f5fb22a550613d8e4c025cb0bee4e34eaa1bb8a2619dc815c9d771f21 869980 gnustep-gui-common_0.22.0-1_all.deb
 982e2b3440313a0af16a73c6217d2487fe27d778c99b2444e98429794cb2d258 1500696 gnustep-gui-doc_0.22.0-1_all.deb
 deab7069892f4f8945a5e2363eb51a3c4dc1f12e9a21db0ab91a6f1564207763 229460 gnustep-gui-runtime_0.22.0-1_amd64.deb
 70c603b4e125da4a3a96b1496956ac3834cd1bd24c17a93ea4cead492dfd3cb6 1821536 libgnustep-gui0.22_0.22.0-1_amd64.deb
 e3935fbe767765d1d7f438b4cc515cf73d3917d2d8557e8bc5b0e1742ce63447 2902482 libgnustep-gui-dev_0.22.0-1_amd64.deb
 95574b73e5b498b80554b6f3f9bc503349bd42265724d15fd73bbbffc3fbbb68 4122928 libgnustep-gui0.22-dbg_0.22.0-1_amd64.deb
Files: 
 fc2a2de927d53714c6818b5af0e0d933 1937 gnustep optional gnustep-gui_0.22.0-1.dsc
 3aa3346071736206ca144ce1ce8f063f 2734733 gnustep optional gnustep-gui_0.22.0.orig.tar.gz
 ff14464b3873d58330cedce681af37cd 17273 gnustep optional gnustep-gui_0.22.0-1.debian.tar.gz
 a277f4515b67a045f14c1d86522e86dd 869980 gnustep optional gnustep-gui-common_0.22.0-1_all.deb
 a6a3bf719dbf4017758b15bf552b46f2 1500696 doc optional gnustep-gui-doc_0.22.0-1_all.deb
 37b035956570edd7c634aecca6e1c897 229460 gnustep optional gnustep-gui-runtime_0.22.0-1_amd64.deb
 3a5c02142eb7f9180ac99dc55b562154 1821536 libs optional libgnustep-gui0.22_0.22.0-1_amd64.deb
 94b53c498bf46356f0ddf122de3406dd 2902482 libdevel optional libgnustep-gui-dev_0.22.0-1_amd64.deb
 d2a57bf936fbf00c0500baa9adc83b64 4122928 debug extra libgnustep-gui0.22-dbg_0.22.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+9y/IACgkQfNdgYxVXvBDqhACgq/LulT0owSAOuLFnJzbXU8mT
7i4AoILXZ99M5j5Jy3lCwB8o1959XONy
=wiyZ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#672986; Package gnustep-gui-runtime. (Sat, 03 Nov 2012 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 06:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 672986@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 672986@bugs.debian.org
Subject: re: gnustep-gui-runtime: Multiple libobjc.so version linked due to mix of dependencies
Date: Sat, 3 Nov 2012 02:20:10 -0400
control: reopen -1

This still apparently affects unstable, so reopening since its a
release-critical issue there and needs fixing.

Best wishes,
Mike



Bug reopened Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to 672986-submit@bugs.debian.org. (Sat, 03 Nov 2012 06:24:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions gnustep-gui/0.22.0-1. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to 672986-submit@bugs.debian.org. (Sat, 03 Nov 2012 06:24:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions gnustep-gui/0.22.0-1. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 03 Nov 2012 06:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#672986; Package gnustep-gui-runtime. (Sat, 15 Dec 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <joost@damad.be>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 15 Dec 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #33 received at 672986@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <joost@damad.be>
To: 672986@bugs.debian.org
Subject: Still an issue in wheezy
Date: Sat, 15 Dec 2012 15:23:55 +0100
Hey,

this bug is still an issue in wheezy.

A simple example:

# apt-get install terminal.app

# ldd /usr/bin/Terminal | grep objc
        libobjc.so.3 => /usr/lib/x86_64-linux-gnu/libobjc.so.3 
(0x00007f0ab39d7000)
        libobjc.so.4 => /usr/lib/x86_64-linux-gnu/libobjc.so.4 
(0x00007f0ab26cb000)

Joost



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#672986; Package gnustep-gui-runtime. (Sat, 15 Dec 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <joost@damad.be>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 15 Dec 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #38 received at 672986@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <joost@damad.be>
To: debian-release@lists.debian.org
Cc: 672986@bugs.debian.org, Riccardo Mottola <multix@gmail.com>
Subject: gnustep-gui-runtime: Multiple libobjc.so version linked due to mix of dependencies
Date: Sat, 15 Dec 2012 17:16:08 +0100
Hello,

I've been looking into issue 672986 and it seems all that is needed is a 
rebuild of gnustep-gui-0.20.0 and after that a rebuild of it's reverse 
dependencies to get rid of the double libobjc.so linkage.

I've tested this locally by rebuilding gnustep-gui-0.20.0 and 
terminal.app-0.9.8 on wheezy AMD64.

Greetings, Joost Damad



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 26 Jan 2013 13:42:07 GMT) Full text and rfc822 format available.

Notification sent to Riccardo Mottola <multix@gmail.com>:
Bug acknowledged by developer. (Sat, 26 Jan 2013 13:42:07 GMT) Full text and rfc822 format available.

Message #43 received at 672986-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joost Yervante Damad <joost@damad.be>, 672986-done@bugs.debian.org
Cc: debian-release@lists.debian.org, Riccardo Mottola <multix@gmail.com>
Subject: Re: Bug#672986: gnustep-gui-runtime: Multiple libobjc.so version linked due to mix of dependencies
Date: Sat, 26 Jan 2013 13:39:02 +0000
[Message part 1 (text/plain, inline)]
On Sat, Dec 15, 2012 at 17:16:08 +0100, Joost Yervante Damad wrote:

> Hello,
> 
> I've been looking into issue 672986 and it seems all that is needed
> is a rebuild of gnustep-gui-0.20.0 and after that a rebuild of it's
> reverse dependencies to get rid of the double libobjc.so linkage.
> 
> I've tested this locally by rebuilding gnustep-gui-0.20.0 and
> terminal.app-0.9.8 on wheezy AMD64.
> 
I've scheduled a rebuild of gnustep-gui on amd64, will deal with the
rest once that's in the archive.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

No longer marked as fixed in versions gnustep-gui/0.22.0-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 17:33:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2013 07:30:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:48:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.